package com.fxy.bean;

import java.io.Serializable;

/**
 * 项目名称：FingerApproval
 * 类描述：
 * 创建人：admin
 * 创建时间：2016/12/7 15:11
 * 修改人：COMP-021-2006
 * 修改时间：2016/12/7 15:11
 * 修改备注：
 */

public class UpdateModel implements Serializable {

    /**
     * 额外参数
     */
    private String original;

    /**
     * 是否强制升级
     * indicated whether or not to force update,update dialog should not be disable by back key or touch outside if set true
     */
    private boolean forced;
    /**
     * update content,
     * 更新内容说明  eg:测试更新
     */
    private String updateContent;
    /**
     * update url
     * 更新URL地址  eg: http://api.p.tgnet.com/Client/Download
     */
    private String updateUrl;
    /**
     * update applyTime
     * 更新时间
     */
    private long updateTime;
    /**
     * update code
     * 更新版本号  eg:12
     */
    private int versionCode;
    /**
     * update name
     * 更新版本名称   eg:2.0.1
     */
    private String versionName;

    /**
     *  是否显示忽略此次版本更新按钮
     */
    private boolean ignore;

    public UpdateModel() {

    }

    public boolean isForced() {
        return forced;
    }

    public boolean isIgnore() {
        return ignore;
    }

    public void setIgnore(boolean ignore) {
        this.ignore = ignore;
    }

    public void setForced(boolean forced) {
        this.forced = forced;
    }

    public String getUpdateContent() {
        return updateContent;
    }

    public void setUpdateContent(String updateContent) {
        this.updateContent = updateContent;
    }

    public String getUpdateUrl() {
        return updateUrl;
    }

    public void setUpdateUrl(String updateUrl) {
        this.updateUrl = updateUrl;
    }

    public long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(long updateTime) {
        this.updateTime = updateTime;
    }

    public int getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(int versionCode) {
        this.versionCode = versionCode;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public String getOriginal() {
        return original;
    }

}
